#ifndef _IPXD_H_
#define _IPXD_H_

#include <stdio.h>
#include <sys/time.h>
#include "ipxutil.h"
#include "ipxkern.h"
#include "ipxsap.h"
#include "ipxrip.h"

#define TIMER_RATE	(30)
#define EXPIRE_TIME	(180)
#define BROADCAST_TIME	(60)

#define MAX_IFACE	(32)

struct ipx_interface
{
	IPXNode ifnode;
	struct sap_output s_output;
	struct rip_output r_output;
};

extern int n_of_ifaces;
extern struct ipx_interface ifaces[MAX_IFACE];

extern int new_log_entry;
extern int debug_option;
extern FILE *log_file;

static inline void
print_time()
{
	time_t t;
	time(&t);
	fprintf(log_file,"\n%s",ctime(&t));
}

#define LOG_ENTRY	{new_log_entry=1;}
#define LOG_START	{if (new_log_entry) {print_time(); new_log_entry=0;}
#define LOG_END		fflush(log_file);}
#define DL_ENTRY	{if (debug_option) LOG_ENTRY}
#define DL_START	{if (debug_option) LOG_START
#define DL_END		LOG_END }
#define DEFAULT_LOGNAME "/dev/null"

#endif /* _IPXD_H_ */
